import { ElementRef, OnInit, TemplateRef } from '@angular/core';
export declare class DropdownComponent implements OnInit {
    private element;
    items: TemplateRef<HTMLElement>;
    opened: boolean;
    constructor(element: ElementRef);
    ngOnInit(): void;
    onClick(e: any): void;
    onDocumentClick(event: any): void;
}
